class SimpleWebsiteTranslator {
	constructor (API, name, config) {
		this.API = API;
		this.name = name;
		this.config = config;
	}

	addInsertions () {
		this.API.addInsertion('publiiFooter', this.addCode, 1, this);
	}

	addCode () {
		let script = '';
		let url='https://translate.google.com/translate_a/element.js?cb=SimpleWebsiteTranslator';
		if (this.config.Translator_proxy) {
			url = 'https://corsproxy.io/?'+encodeURIComponent(url);
		}
		let includedLanguages=this.config.Translate_to;
		if (typeof includedLanguages == 'undefined'){
			includedLanguages='';
		}
		script='<script type="text/javascript">async function SimpleWebsiteTranslator(){new google.translate.TranslateElement({pageLanguage:"'+this.config.Website_lang+'",includedLanguages:"'+includedLanguages+'",layout: google.translate.TranslateElement.InlineLayout.'+this.config.Translator_layout+',autoDisplay:'+this.config.Translator_autodisplay+'},"simple_website_translator");}</script><script type="text/javascript" src="'+url+'"></script>';
		return script;
	}
}

module.exports = SimpleWebsiteTranslator;
